RhinoScript or PythonScript Pros here?

Hi,
I need a custom Rhino-/PythonScript to perform a special task. I’m quite customed to RhinoScript, but I believe this task could be more efficient with PythonScript… I have procedure well described so would anyone be interested in programming it for me? Payment for this of course is as agreed. It’s main task is to do boolean intersections with model based meshoutline exturusions and move parts to origo and cut parts with planes. Anyone interested? I could also perform this task myself, if there’s some advice :slight_smile: But I’m asking this 'cos my time is limited.

Hello @gdlfactory

We should be able to help with this, would you be able to drop us an email to get an estimate?

you can connect with me on Skype - live:.cid.baff7c7dd9471b54

Kind regards,
Trish

Hello there,
Hope you’re doing good.

I can help with your requirement.

Kindly reach me at luis@cisinlabs.com or skype me at live: luis_18439.

Looking forward to hearing from you soon.

Regards,
Luis

It sounds like a pretty straighforward task, if I understand you correctly.
Do you simply want to intersect a mesh with one or more planes and move the resulting intersection curves to the XY-plane near the origin?

In Python and rhinocommon, this can for instance be done with Rhino.Geometry.Intersect.Intersection.MeshPlane(mesh, plane).

Hi you all,

So…

I created a workflow to do the task I’d need, but I tried it manually and it didn’t work as I planned.

I have a problem with splitting meshes in Rhino with planes, as it appears to lose some of the mesh geometries in some objects.

But my main goal is to get a simplified 3D-model of the original. Reduce mesh-function doesn’t do that in a way I want.

BoundingBox is too simplified and doesn’t do the job with angled parts.

I’ve used pythonscript called “MinimumBoundingBox.py” to get me further. But it’s not perfect as such for my needs. I’ve even modified that script and got it work better, but still it’s not what I really need. Pretty close though.

So, my need is to create a simplified 3D from original model with L-shapes and such; L-shape would be created basically as a triangle, with 4 corners. That’s how my script works at the moment.

Do you have any idea how to actually get this done? I include my procedure, which didn’t work in real life, which I tried manually:

Explode blocks (if any)

Convert polysurfaces and solids into meshes with lowest polygonal settings (if any)

Select all 3d parts and create bounding box and move it's geometries at origo (0,0,0)

Select all 3d parts and join then on new layer ”Joined_3D”

Create BoundingBox from ”Joined_3D”

Cut ”Joined_3D” by

    x/2

    y/2

    z/2

    x0y0-x1y1 – Top view ! x0/x1-y0/y1-z0/z1 to be adjusted from zero to max BB*

    x0y1-x1y0 – Top view

    x0z0-x1z1 – Front view

    x0z1-x1z0 – Front view

    y0z0-y1z1 – Right view

    y0z1-y1z0 – Right view

Create MeshOutline from cutted parts with views: top, front, right

Create PlanarMesh / PlanarSrf (which suits better for the job) from all the views with meshoutlines

Create BoundingBoxes for the parts have been cut on layer ”Joined_3D”

Move Planar geometries at the zero x,y,z depending on view

Extrude planes accordingly from zero to x/y/z

Perform boolean intersection on specified parts to create simplified 3D-part of the original, with intersections from top-front-right created extrusions

Join all simplified parts on layer ”Simple_3D”

Perform move-function to origo for the original geometries on all layers to maintain positioning in relation to created ”Simple_3D”-layer – to be positioned at same origin

I attached my cutting part in scale 1:1:1 in Rhino 5 format. (Which is the version I work with)

I look forward to discuss about this and if you would have a solution for my need, I’d be happy to hear about that and better yet, if you’d be willing to do the task.

Regards,

Jarkko

Here’s the file I referred to:
cut_planes.3dm (114.2 KB)